> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Entries



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/collections/{id}/entries
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries:
    get:
      tags:
        - Collections
      summary: Find Entries
      operationId: CollectionsController_findEntries_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: id
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: cursor
          required: false
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 4096
        - name: limit
          required: false
          in: query
          schema:
            default: 20
            type: number
        - name: search
          required: false
          in: query
          schema:
            type: string
        - name: categoryIds
          required: false
          in: query
          schema:
            minItems: 1
            maxItems: 100
            type: array
            items:
              type: string
        - name: hasOptionalManufacturers
          required: false
          in: query
          schema:
            type: boolean
        - name: designReviewRequired
          required: false
          in: query
          schema:
            type: boolean
        - name: mandatoryItem
          required: false
          in: query
          schema:
            type: boolean
        - name: groupBy
          required: false
          in: query
          schema:
            maxItems: 2
            type: array
            items:
              type: object
              properties:
                field:
                  type: string
                  enum:
                    - category
                    - productType
                    - status
                    - areaReference
                    - mandatoryItem
                    - designReviewRequired
                direction:
                  type: string
                  enum:
                    - asc
                    - desc
              required:
                - field
                - direction
              additionalProperties: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionEntriesPageDto'
      security:
        - bearer: []
components:
  schemas:
    CollectionEntriesPageDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntrySummaryDto'
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
    CollectionEntrySummaryDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        productTypeId:
          type: string
        categoryId:
          type: string
        categoryLabel:
          type: string
        categoryPath:
          type: array
          items:
            $ref: '#/components/schemas/CollectionCategoryPathItemDto'
        productTypeLabel:
          type: string
        description:
          type: string
          nullable: true
        areaReference:
          type: string
          nullable: true
        parLevel:
          type: string
          nullable: true
        applyParToPurchaseQuantity:
          type: boolean
        status:
          type: string
          enum:
            - draft
            - pending
            - discontinued
            - approved
        quantity:
          type: string
        mandatoryItem:
          type: boolean
        designReviewRequired:
          type: boolean
        optionalManufacturers:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryManufacturerDto'
        mandatoryManufacturerId:
          type: string
          nullable: true
        instructionsCount:
          type: number
        requirementsCount:
          type: number
        position:
          type: number
        referencesCount:
          type: number
        referenceCode:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        imagesCount:
          type: number
        validationIssueCount:
          type: number
        version:
          type: number
      required:
        - id
        - name
        - productTypeId
        - categoryId
        - categoryLabel
        - categoryPath
        - productTypeLabel
        - description
        - areaReference
        - parLevel
        - applyParToPurchaseQuantity
        - status
        - quantity
        - mandatoryItem
        - designReviewRequired
        - optionalManufacturers
        - mandatoryManufacturerId
        - instructionsCount
        - requirementsCount
        - position
        - referencesCount
        - referenceCode
        - imageUrl
        - imagesCount
        - validationIssueCount
        - version
    CollectionCategoryPathItemDto:
      type: object
      properties:
        id:
          type: string
        label:
          type: string
      required:
        - id
        - label
    CollectionEntryManufacturerDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        available:
          type: boolean
      required:
        - id
        - name
        - available
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````